Index: kernel/generic/src/ipc/ipc.c
===================================================================
--- kernel/generic/src/ipc/ipc.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ kernel/generic/src/ipc/ipc.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -967,10 +967,10 @@
 
 #ifdef __32_BITS__
-	printf("[call id ] [method] [arg1] [arg2] [arg3] [arg4] [arg5]"
+	printf("[call adr] [method] [arg1] [arg2] [arg3] [arg4] [arg5]"
 	    " [flags] [sender\n");
 #endif
 
 #ifdef __64_BITS__
-	printf("[call id         ] [method] [arg1] [arg2] [arg3] [arg4]"
+	printf("[call address    ] [method] [arg1] [arg2] [arg3] [arg4]"
 	    " [arg5] [flags] [sender\n");
 #endif
Index: uspace/app/trace/ipcp.c
===================================================================
--- uspace/app/trace/ipcp.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/app/trace/ipcp.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -194,5 +194,5 @@
 
 	if ((display_mask & DM_IPC) != 0) {
-		printf("Call ID: %p, phone: %p, proto: %s, method: ",
+		printf("Call handle: %p, phone: %p, proto: %s, method: ",
 		    chandle, phandle, (proto ? proto->name : "n/a"));
 		ipc_m_print(proto, IPC_GET_IMETHOD(*call));
Index: uspace/app/wavplay/drec.c
===================================================================
--- uspace/app/wavplay/drec.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/app/wavplay/drec.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -90,5 +90,5 @@
  * Writes recorded data.
  * 
- * @param icall_handle  IPC call id.
+ * @param icall_handle  IPC call handle.
  * @param icall         Poitner to IPC call structure.
  * @param arg           Argument. Poitner to recording helper structure.
Index: uspace/drv/bus/usb/vhc/conndev.c
===================================================================
--- uspace/drv/bus/usb/vhc/conndev.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/bus/usb/vhc/conndev.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -89,7 +89,7 @@
 /** Default handler for IPC methods not handled by DDF.
  *
- * @param fun Device handling the call.
- * @param icall_handle Call id.
- * @param icall Call data.
+ * @param fun           Device handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
  */
 void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
Index: uspace/drv/hid/atkbd/atkbd.c
===================================================================
--- uspace/drv/hid/atkbd/atkbd.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/atkbd/atkbd.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -292,11 +292,12 @@
 /** Default handler for IPC methods not handled by DDF.
  *
- * @param fun     Device function handling the call.
- * @param icall_handle Call id.
- * @param icall   Call data.
- *
- */
-static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
+ *
+ */
+static void
+default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
Index: uspace/drv/hid/ps2mouse/ps2mouse.c
===================================================================
--- uspace/drv/hid/ps2mouse/ps2mouse.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/ps2mouse/ps2mouse.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -399,10 +399,10 @@
 /** Default handler for IPC methods not handled by DDF.
  *
- * @param fun Device function handling the call.
- * @param icall_handle Call id.
- * @param icall Call data.
- */
-void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
+ */
+void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
Index: uspace/drv/hid/usbhid/kbd/kbddev.c
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbddev.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/usbhid/kbd/kbddev.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -156,10 +156,11 @@
  * KBDEV_SET_IND sets LED keyboard indicators.
  *
- * @param fun Device function handling the call.
- * @param icall_handle Call id.
- * @param icall Call data.
- */
-static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
+ */
+static void
+default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
Index: uspace/drv/hid/usbhid/mouse/mousedev.c
===================================================================
--- uspace/drv/hid/usbhid/mouse/mousedev.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/usbhid/mouse/mousedev.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -109,10 +109,11 @@
 /** Default handler for IPC methods not handled by DDF.
  *
- * @param fun Device function handling the call.
- * @param icall_handle Call id.
- * @param icall Call data.
- */
-static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
+ */
+static void
+default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	usb_mouse_t *mouse_dev = ddf_fun_data_get(fun);
Index: uspace/drv/hid/usbhid/multimedia/multimedia.c
===================================================================
--- uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -80,10 +80,11 @@
  * later use by the driver to notify about key events.
  *
- * @param fun Device function handling the call.
- * @param icall_handle Call id.
- * @param icall Call data.
- */
-static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
+ */
+static void
+default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	usb_log_debug(NAME " default_connection_handler()");
Index: uspace/drv/hid/xtkbd/xtkbd.c
===================================================================
--- uspace/drv/hid/xtkbd/xtkbd.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/drv/hid/xtkbd/xtkbd.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -328,7 +328,7 @@
 /** Default handler for IPC methods not handled by DDF.
  *
- * @param fun     Device function handling the call.
- * @param icall_handle Call id.
- * @param icall   Call data.
+ * @param fun           Device function handling the call.
+ * @param icall_handle  Call handle.
+ * @param icall         Call data.
  *
  */
Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/lib/c/generic/inet/tcp.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -633,9 +633,10 @@
 /** Connection established event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
- */
-static void tcp_ev_connected(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle
+ * @param icall         Call data
+ */
+static void
+tcp_ev_connected(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -661,9 +662,11 @@
 /** Connection failed event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
- */
-static void tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle
+ * @param icall         Call data
+ */
+static void
+tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -689,7 +692,7 @@
 /** Connection reset event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle
+ * @param icall         Call data
  */
 static void tcp_ev_conn_reset(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
@@ -717,9 +720,10 @@
 /** Data available event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
- */
-static void tcp_ev_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle 
+ * @param icall         Call data
+ */
+static void
+tcp_ev_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -746,9 +750,10 @@
 /** Urgent data event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
- */
-static void tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle
+ * @param icall         Call data
+ */
+static void
+tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	async_answer_0(icall_handle, ENOTSUP);
@@ -757,9 +762,10 @@
 /** New connection event.
  *
- * @param tcp TCP client
- * @param iid Call ID
- * @param icall Call data
- */
-static void tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+ * @param tcp           TCP client
+ * @param icall_handle  Call handle
+ * @param icall         Call data
+ */
+static void
+tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_listener_t *lst;
@@ -809,9 +815,10 @@
 /** Callback connection handler.
  *
- * @param iid Connect call ID
- * @param icall Connect call data
- * @param arg Argument, TCP client
- */
-static void tcp_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+ * @param icall_handle  Connect call handle
+ * @param icall         Connect call data
+ * @param arg           Argument, TCP client
+ */
+static void
+tcp_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	tcp_t *tcp = (tcp_t *)arg;
Index: uspace/lib/hound/src/protocol.c
===================================================================
--- uspace/lib/hound/src/protocol.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/lib/hound/src/protocol.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -378,11 +378,12 @@
 }
 
-/**
- * Server side implementation of the hound protocol. IPC connection handler.
- * @param iid initial call id
- * @param icall pointer to initial call structure.
- * @param arg (unused)
- */
-void hound_connection_handler(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+/** Server side implementation of the hound protocol. IPC connection handler.
+ *
+ * @param icall_handle   Initial call handle
+ * @param icall          Pointer to initial call structure.
+ * @param arg            (unused)
+ */
+void hound_connection_handler(cap_call_handle_t icall_handle, ipc_call_t *icall,
+    void *arg)
 {
 	hound_context_id_t id;
Index: uspace/lib/nic/src/nic_impl.c
===================================================================
--- uspace/lib/nic/src/nic_impl.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/lib/nic/src/nic_impl.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -783,5 +783,6 @@
  * @return EINVAL	If the NIC is not in state where it allows on demand polling
  */
-errno_t nic_poll_now_impl(ddf_fun_t *fun) {
+errno_t nic_poll_now_impl(ddf_fun_t *fun)
+{
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_read_lock(&nic_data->main_lock);
@@ -804,7 +805,7 @@
  * Logs a warning message and returns ENOTSUP to the caller.
  *
- * @param fun		The DDF function where the method should be called.
- * @param chandle	IPC call identifier
- * @param call		IPC call data
+ * @param fun      The DDF function where the method should be called.
+ * @param chandle  IPC call handle
+ * @param call     IPC call data
  */
 void nic_default_handler_impl(ddf_fun_t *fun, cap_call_handle_t chandle,
Index: uspace/srv/audio/hound/audio_device.c
===================================================================
--- uspace/srv/audio/hound/audio_device.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/audio/hound/audio_device.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -255,11 +255,12 @@
 }
 
-/**
- * Audio device event handler.
- * @param iid initial call id.
- * @param icall initial call structure.
- * @param arg (unused)
- */
-static void device_event_callback(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+/** Audio device event handler.
+ *
+ * @param icall_handle  Initial call handle.
+ * @param icall         Initial call structure.
+ * @param arg           (unused)
+ */
+static void device_event_callback(cap_call_handle_t icall_handle,
+    ipc_call_t *icall, void *arg)
 {
 	struct timeval time1;
Index: uspace/srv/net/udp/service.c
===================================================================
--- uspace/srv/net/udp/service.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/net/udp/service.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -670,9 +670,10 @@
 /** Handle UDP client connection.
  *
- * @param iid   Connect call ID
- * @param icall Connect call data
- * @param arg   Connection argument
- */
-static void udp_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+ * @param icall_handle  Connect call handle 
+ * @param icall         Connect call data
+ * @param arg           Connection argument
+ */
+static void udp_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall,
+    void *arg)
 {
 	udp_client_t client;
Index: uspace/srv/ns/clonable.c
===================================================================
--- uspace/srv/ns/clonable.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/ns/clonable.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -108,8 +108,8 @@
 /** Connect client to clonable service.
  *
- * @param service Service to be connected to.
- * @param iface   Interface to be connected to.
- * @param call    Pointer to call structure.
- * @param chandle  Call ID of the request.
+ * @param service  Service to be connected to.
+ * @param iface    Interface to be connected to.
+ * @param call     Pointer to call structure.
+ * @param chandle  Call handle of the request.
  *
  * @return Zero on success or a value from @ref errno.h.
Index: uspace/srv/ns/service.c
===================================================================
--- uspace/srv/ns/service.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/ns/service.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -160,8 +160,8 @@
 /** Connect client to service.
  *
- * @param service Service to be connected to.
- * @param iface   Interface to be connected to.
- * @param call    Pointer to call structure.
- * @param chandle  Call ID of the request.
+ * @param service  Service to be connected to.
+ * @param iface    Interface to be connected to.
+ * @param call     Pointer to call structure.
+ * @param chandle  Call handle of the request.
  *
  * @return Zero on success or a value from @ref errno.h.
Index: uspace/srv/ns/task.c
===================================================================
--- uspace/srv/ns/task.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/ns/task.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -145,6 +145,6 @@
 typedef struct {
 	link_t link;
-	task_id_t id;         /**< Task ID. */
-	cap_call_handle_t chandle;  /**< Call ID waiting for the connection */
+	task_id_t id;               ///< Task ID
+	cap_call_handle_t chandle;  ///< Call handle waiting for the connection
 } pending_wait_t;
 
